## ros-melodic-rqt-gui 0.5.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rqt_gui)
# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS qt_gui)
catkin_package()
catkin_python_setup()

catkin_install_python(PROGRAMS bin/rqt_gui
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
install(FILES resource/rqt.png
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/resource
)

=== debian/changelog ===
ros-melodic-rqt-gui (0.5.2-1stretch) stretch; urgency=high

  * add missing dependencies: rospkg-modules, python_qt_binding, rospy (#227 <https://github.com/ros-visualization/rqt/issues/227>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 12 Jun 2020 07:00:00 -0000

ros-melodic-rqt-gui (0.5.1-1stretch) stretch; urgency=high

  * bump CMake minimum version to avoid CMP0048 warning (#219 <https://github.com/ros-visualization/rqt/issues/219>)
  * allow definition of settings file (#216 <https://github.com/ros-visualization/rqt/issues/216>)
  * use catkin_install_python for Python script (#206 <https://github.com/ros-visualization/rqt/issues/206>)
  * style changes (#143 <https://github.com/ros-visualization/rqt/issues/143>)
  * autopep8 (#137 <https://github.com/ros-visualization/rqt/issues/137>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 10 Mar 2020 07:00:00 -0000

ros-melodic-rqt-gui (0.5.0-1stretch) stretch; urgency=high

  * version bump to match version of migrated package rqt_py_common

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 24 Apr 2017 07:00:00 -0000

ros-melodic-rqt-gui (0.3.2-1stretch) stretch; urgency=high

  * use Python 3 compatible syntax (#113 <https://github.com/ros-visualization/rqt/pull/113>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Jan 2017 08:00:00 -0000

ros-melodic-rqt-gui (0.3.1-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 01 Apr 2016 07:00:00 -0000

ros-melodic-rqt-gui (0.3.0-1stretch) stretch; urgency=high

  * switch to Qt5 (#106 <https://github.com/ros-visualization/rqt/pull/106>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 01 Apr 2016 07:00:00 -0000

ros-melodic-rqt-gui (0.2.14-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 04 Mar 2014 08:00:00 -0000

ros-melodic-rqt-gui (0.2.13-1stretch) stretch; urgency=high

  * added hash of ros package path as prefix for plugin manager settings to allow for one cache per package path setting

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 Jan 2014 08:00:00 -0000

ros-melodic-rqt-gui (0.2.12-1stretch) stretch; urgency=high

  * improve startup time (#88 <https://github.com/ros-visualization/rqt/issues/88>)
  * new icon for rqt

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 09 Oct 2013 07:00:00 -0000

ros-melodic-rqt-gui (0.2.11-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 06 Sep 2013 07:00:00 -0000

ros-melodic-rqt-gui (0.2.10-1stretch) stretch; urgency=high

  * add application icon (#82 <https://github.com/ros-visualization/rqt/issues/82>)
  * improve error message when plugin xml file does not exist

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 Aug 2013 07:00:00 -0000

ros-melodic-rqt-gui (0.2.9-1stretch) stretch; urgency=high

  * make plugin resources relative to plugin.xml (ros-visualization/qt_gui_core#16 <https://github.com/ros-visualization/qt_gui_core/issues/16>)
  * use standard rospy function to filter remapping arguments (#76 <https://github.com/ros-visualization/rqt/issues/76>)
  * fix help provider

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Jun 2013 07:00:00 -0000

ros-melodic-rqt-gui (0.2.8-1stretch) stretch; urgency=high

  * properly ignore ROS remapping arguments when passed in via command line

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Jan 2013 08:00:00 -0000

ros-melodic-rqt-gui (0.2.7-1stretch) stretch; urgency=high

  * first public release for Groovy

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 31 Dec 2012 08:00:00 -0000

=== debian/control ===
Source: ros-melodic-rqt-gui
Section: misc
Priority: optional
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-qt-gui (>= 0.3.0)
Homepage: http://ros.org/wiki/rqt_gui
Standards-Version: 3.9.2

Package: ros-melodic-rqt-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-rospkg-modules, ros-melodic-python-qt-binding, ros-melodic-qt-gui (>= 0.3.0), ros-melodic-rospy
Description: rqt_gui provides the main to start an instance of the ROS integrated graphical user interface provided by qt_gui.

## ros-melodic-rqt-gui 0.5.3

=== debian/changelog ===
ros-melodic-rqt-gui (0.5.3-1bionic) bionic; urgency=high

  * Changed getiter to iter (#1 <https://github.com/ros-visualization/rqt/issues/1>) (#241 <https://github.com/ros-visualization/rqt/issues/241>)
  * Update maintainers (#233 <https://github.com/ros-visualization/rqt/issues/233>) (#237 <https://github.com/ros-visualization/rqt/issues/237>)
  * Contributors: Michael Jeronimo, sven-herrmann

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 25 Mar 2022 07:00:00 -0000

ros-melodic-rqt-gui (0.5.2-1bionic) bionic; urgency=high

  * add missing dependencies: rospkg-modules, python_qt_binding, rospy (#227 <https://github.com/ros-visualization/rqt/issues/227>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 12 Jun 2020 07:00:00 -0000

ros-melodic-rqt-gui (0.5.1-1bionic) bionic; urgency=high

  * bump CMake minimum version to avoid CMP0048 warning (#219 <https://github.com/ros-visualization/rqt/issues/219>)
  * allow definition of settings file (#216 <https://github.com/ros-visualization/rqt/issues/216>)
  * use catkin_install_python for Python script (#206 <https://github.com/ros-visualization/rqt/issues/206>)
  * style changes (#143 <https://github.com/ros-visualization/rqt/issues/143>)
  * autopep8 (#137 <https://github.com/ros-visualization/rqt/issues/137>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 10 Mar 2020 07:00:00 -0000

ros-melodic-rqt-gui (0.5.0-1bionic) bionic; urgency=high

  * version bump to match version of migrated package rqt_py_common

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 24 Apr 2017 07:00:00 -0000

ros-melodic-rqt-gui (0.3.2-1bionic) bionic; urgency=high

  * use Python 3 compatible syntax (#113 <https://github.com/ros-visualization/rqt/pull/113>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Jan 2017 08:00:00 -0000

ros-melodic-rqt-gui (0.3.1-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 01 Apr 2016 07:00:00 -0000

ros-melodic-rqt-gui (0.3.0-1bionic) bionic; urgency=high

  * switch to Qt5 (#106 <https://github.com/ros-visualization/rqt/pull/106>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 01 Apr 2016 07:00:00 -0000

ros-melodic-rqt-gui (0.2.14-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 04 Mar 2014 08:00:00 -0000

ros-melodic-rqt-gui (0.2.13-1bionic) bionic; urgency=high

  * added hash of ros package path as prefix for plugin manager settings to allow for one cache per package path setting

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 Jan 2014 08:00:00 -0000

ros-melodic-rqt-gui (0.2.12-1bionic) bionic; urgency=high

  * improve startup time (#88 <https://github.com/ros-visualization/rqt/issues/88>)
  * new icon for rqt

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 09 Oct 2013 07:00:00 -0000

ros-melodic-rqt-gui (0.2.11-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 06 Sep 2013 07:00:00 -0000

ros-melodic-rqt-gui (0.2.10-1bionic) bionic; urgency=high

  * add application icon (#82 <https://github.com/ros-visualization/rqt/issues/82>)
  * improve error message when plugin xml file does not exist

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 Aug 2013 07:00:00 -0000

ros-melodic-rqt-gui (0.2.9-1bionic) bionic; urgency=high

  * make plugin resources relative to plugin.xml (ros-visualization/qt_gui_core#16 <https://github.com/ros-visualization/qt_gui_core/issues/16>)
  * use standard rospy function to filter remapping arguments (#76 <https://github.com/ros-visualization/rqt/issues/76>)
  * fix help provider

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Jun 2013 07:00:00 -0000

ros-melodic-rqt-gui (0.2.8-1bionic) bionic; urgency=high

  * properly ignore ROS remapping arguments when passed in via command line

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Jan 2013 08:00:00 -0000

ros-melodic-rqt-gui (0.2.7-1bionic) bionic; urgency=high

  * first public release for Groovy

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 31 Dec 2012 08:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ros-melodic-rqt-gui
 Section: misc
 Priority: optional
-Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
+Maintainer: Michael Jeronimo <michael.jeronimo@openrobotics.org>
 Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-qt-gui (>= 0.3.0)
 Homepage: http://ros.org/wiki/rqt_gui
 Standards-Version: 3.9.2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rqt-gui//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
